Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations

RemovePolicyStatementsFromRole

RemovePolicyStatementsFromRole

DELETE/zstack/v1/identities/roles/{uuid}/policy-statements?policyStatementUuids={policyStatementUuids}

Operation ID

RemovePolicyStatementsFromRole

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

  • policyStatementUuids
    ListRequired

    The policy statement UUIDs.

Query Parameters

  • policyStatementUuids
    String

    Query parameter.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}